> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/aspecttype.md).

# AspectType

## Overview

AspectType은 UI 요소의 가로세로 비율을 유지하는 방식을 정의하는 Enum입니다.

UIAspectRatioConstraint의 AspectType 속성에서 사용되며, UI 요소가 부모 크기나 최대 크기에 맞춰 어떻게 확장될지를 결정합니다.

## Items

| Name                | Value | Description                       |
| ------------------- | ----- | --------------------------------- |
| FitWithinMaxSize    | 0     | 콘텐츠를 최대 허용 크기 내에서 비율을 유지하면서 맞춥니다. |
| ScaleWithParentSize | 1     | 부모의 크기 변화에 비례하여 콘텐츠를 확장합니다.       |

## See also

{% content-ref url="/pages/uElEmIxtTIIcMrFRGIDT" %}
[UIAspectRatioConstraint](/korean/development/api-reference/classes/uiaspectratioconstraint.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/aspecttype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
